<?php
include_once XOOPS_ROOT_PATH.'/class/xoopsblock.php';

$xoopsOption['theme_use_smarty'] = 0;
// include Smarty template engine and initialize it
require_once XOOPS_ROOT_PATH.'/class/template.php';
$xoopsTpl = new XoopsTpl();
$xoopsTpl->xoops_setCaching(2);
if ($xoopsConfig['debug_mode'] == 3) {
	$xoopsTpl->xoops_setDebugging(true);
}
$xoopsTpl->assign(array('xoops_themecss'=> XOOPS_URL."/modules/tadbook2/css.css"));
// Meta tags
$config_handler =& xoops_gethandler('config');
$criteria = new CriteriaCompo(new Criteria('conf_modid', 0));
$criteria->add(new Criteria('conf_catid', XOOPS_CONF_METAFOOTER));
$config =& $config_handler->getConfigs($criteria, true);
foreach (array_keys($config) as $i) {
	// prefix each tag with 'xoops_'
	$xoopsTpl->assign('xoops_'.$config[$i]->getVar('conf_name'), $config[$i]->getConfValueForOutput());
}
$xoopsTpl->assign('xoops_pagetitle', $xoopsModule->getVar('name'));

if($xoopsUser){
	$xoopsTpl->assign(array('xoops_isuser' => true, 'xoops_userid' => $xoopsUser->getVar('uid'), 'xoops_uname' => $xoopsUser->getVar('uname')));
}
$xoopsTpl->xoops_setCaching(0);
?>
